RNifti Fast R and C++ Access to NIfTI Images

Public Member Functions | List of all members
RNifti::NiftiImageData::TypeHandler Struct Reference

Abstract inner class defining the type-specific functions required in concrete subclasses. More...

`#include <NiftiImage.h>`

Inheritance diagram for RNifti::NiftiImageData::TypeHandler:

## Public Member Functions
virtual size_t | size () const
virtual bool | hasNaN () const
virtual complex128_t | getComplex (void *ptr) const
virtual double | getDouble (void *ptr) const
virtual int | getInt (void *ptr) const
virtual rgba32_t | getRgb (void *ptr) const
virtual void | setComplex (void *ptr, const complex128_t value) const
virtual void | setDouble (void *ptr, const double value) const
virtual void | setInt (void *ptr, const int value) const
virtual void | setRgb (void *ptr, const rgba32_t value) const
virtual void | minmax (void *ptr, const size_t length, double *min, double *max) const

## Detailed Description

Abstract inner class defining the type-specific functions required in concrete subclasses.

The documentation for this struct was generated from the following file:

- inst/include/RNifti/NiftiImage.h